body {
    background-color: #f5f5f5;
    color: #333;
    font-family: Arial, sans-serif;
}

.header {
    background-color: rgb(54, 19, 40);
    padding: 20px 0;
}

.header img {
    max-width: 150px;
}

.title-bar {
    background-color: black;
    padding: 10px 0;
    text-align: center;
}

.title-bar h1 {
    font-size: 28px;
    font-weight: 700;
    color: white;
    margin: 0;
}

.product-card {
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 8px;
    margin-bottom: 16px;
    padding: 16px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.product-card img {
    object-fit: contain;
    border-radius: 4px;
}

@media (min-width: 768px) {
    .product-card img {
        width: 233px;
        height: 255px;
    }
}

@media (max-width: 767px) {
    .product-card img {
        width: 153px;
        height: 153px;
    }
}

.product-title {
    font-size: 14px;
    font-weight: 400;
    line-height: 17px;
    text-align: left;
    color: #8a8d8f;
    padding: 0;
    width: 100%;
    margin: 8px 0;
    min-height: 34px; /* Define a altura mínima para duas linhas de texto */
}

@media (max-width: 767px) {
    .product-title {
        min-height: 51px; /* Altura mínima para o título no mobile */
    }
}

.product-flag {
    background-color: #7fffd4;
    border-radius: 8px;
    color: #333;
    font-weight: bold;
    font-size: 15px;
    padding: 5px 10px;
    margin-top: 5px;
    text-align: left;
    width: 100%;
    min-height: 25px; /* Define uma altura mínima para o local da flag */
}

.product-flag-antigo {
    background-color: transparent;
    font-size: 0;
    padding: 5px 10px;
    margin-top: 5px;
    text-align: left;
    width: 100%;
    min-height: 25px; /* Define uma altura mínima para o local da flag */
}

.product-code {
    font-weight: bold;
    text-align: left;
    width: 100%;
    color: #666;
    margin: 8px 0;
}

.product-price {
    font-size: 26px;
    font-weight: 700;
    line-height: 30px;
    text-align: left;
    color: #2485ea;
    width: 100%;
    margin: 8px 0;
}

@media (min-width: 768px) {
    .col-md-3 {
        display: flex;
        justify-content: center;
    }
    .product-card {
        width: 100%;
    }
}

.btn-primary {
    background-color: #e74c3c;
    border-color: #e74c3c;
}

.btn-primary:hover {
    background-color: #c0392b;
    border-color: #c0392b;
}

.footer {
    background-color: black;
    color: white;
    padding: 20px 0;
}

.footer-logo {
    max-width: 150px;
    margin-bottom: 10px;
}

.footer p {
    font-size: 14px;
    line-height: 1.5;
}

.footer h2 {
    font-size: 18px;
    font-weight: bold;
}

.social-links {
    display: flex;
    gap: 10px;
}

.social-icon {
    background-color: transparent;
    border-radius: 50%;
    display: inline-block;
    width: 50px;
    height: 50px;
}

.social-icon img {
    width: 50px;
    height: 50px;
}
